label {
    font-weight: bold;
}

input[type="text"], select {
}

#body div.qrcodeout {
    margin: auto;
    width: 99%;
    max-width: 960px;
    text-align: center;
    line-height: 100%;
    padding-bottom: 2em;
}

#body div.qrcode {
    position: relative;
    text-align: center;
    margin: auto;
    width: 40%;
    aspect-ratio : 1 / 1;
}

#body img.qrcodein {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    max-width: 100%;
    max-height: 100%;
    border: none;
}

#body div.qrcodetext {
    display: none;
}

#body div.qrcodescratch {
    display: none;
}

@media print {
    body {
	    background-color: #fff ! important;
    }

    * {
        text-color: #000 ! important;
    }

    #body {
	    background-color: #fff ! important;
        width: 100%;
        margin-left: 0% ! important;
        margin-right: 0% ! important;
    }

    #body div.qrcodeout {
	    background-color: #fff ! important;
    }

    #body #bodyheader {
        display: none;
    }

    #body p {
        display: none;
    }

    #body table {
        display: none;
    }

    #body div#comment-main {
        display: none;
    }

    #footer {
        display: none;
    }

    #body div.qrcodeout {
        margin: auto;
        width: 99%;
        max-width: 99%;
        text-align: center;
        padding-bottom: 0em;
        top: 50%;
        transform: translate(0, 35%);
    }
    
    #body div.qrcode {
        position: relative;
        text-align: center;
        margin: auto;
        width: 70%;
        aspect-ratio : 1 / 1;
    }
    
    #body img.qrcodein {
        padding: 0;
        margin-left: 0;
        margin-top: 0;
        margin-right: 0;
        margin-bottom: 0;
    }

    #body div.qrcodetext {
        display: block;
        text-align: center;
        margin: auto;
        width: 70%;
        padding-top: 1em;
        font-size: 200%;
    }
}
